package com.wms_main.service.quartz_job;

import com.wms_main.quartz.config.JobBean;

/**
 * 定时任务服务
 */
public interface IJobService {
    /**
     * 创建任务
     * @param jobBean 任务信息
     */
    void createJob(JobBean jobBean);
    /**
     * 删除定时任务
     * @param jobName 任务名
     */
    void deleteJob(String jobName);
    /**
     * 修改定时任务
     * @param jobBean 任务信息
     */
    void modifyJob(JobBean jobBean);
    /**
     * 暂停定时任务
     * @param jobName 任务名
     */
    void pauseJob(String jobName);
    /**
     * 恢复定时任务
     * @param jobName 任务名
     */
    void resumeJob(String jobName);
    /**
     * 立即执行一次任务
     * @param jobName 任务名
     */
    void runJobOnce(String jobName);
    /**
     * 初始化所有的定时任务
     * 只创建启用的
     */
    void initAllJobs();
}
